package com.sundot.airport.system.service;

import java.util.List;

import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.system.domain.SysApp;

/**
 * 应用Service接口
 *
 * @author ruoyi
 * @date 2025-11-20
 */
public interface ISysAppService {
    /**
     * 查询应用
     *
     * @param appId 应用主键
     * @return 应用
     */
    public SysApp selectSysAppByAppId(Long appId);

    /**
     * 查询应用列表
     *
     * @param sysApp 应用
     * @return 应用集合
     */
    public List<SysApp> selectSysAppList(SysApp sysApp);

    /**
     * 移动端查询全部应用列表
     *
     * @param sysApp 应用
     * @return 应用集合
     */
    public List<SysApp> listBy(SysApp sysApp);

    /**
     * 新增应用
     *
     * @param sysApp 应用
     * @return 结果
     */
    public int insertSysApp(SysApp sysApp);

    /**
     * 修改应用
     *
     * @param sysApp 应用
     * @return 结果
     */
    public int updateSysApp(SysApp sysApp);

    /**
     * 批量删除应用
     *
     * @param appIds 需要删除的应用主键集合
     * @return 结果
     */
    public int deleteSysAppByAppIds(Long[] appIds);

    /**
     * 删除应用信息
     *
     * @param appId 应用主键
     * @return 结果
     */
    public int deleteSysAppByAppId(Long appId);

    /**
     * 根据角色ID查询应用列表
     *
     * @param roleId 角色ID
     * @return 结果
     */
    public AjaxResult roleAppSelect(Long roleId);
}
